Commit 7b45741c authored by Lucas Kanashiro's avatar Lucas Kanashiro

Refresh autopkgtest.patch

parent 1bc3cfd1
......@@ -6,6 +6,7 @@ libmodule-extractuse-perl (0.341-1) UNRELEASED; urgency=medium
[ Lucas Kanashiro ]
* Import upstream version 0.341
* d/u/metadata: update contact and repo url
* Refresh autopkgtest.patch
-- Lucas Kanashiro <kanashiro.duarte@gmail.com> Sun, 21 Feb 2016 17:15:46 -0300
......
......@@ -7,7 +7,7 @@ Last-Update: 2014-10-17
--- a/t/20_parse_self.t
+++ b/t/20_parse_self.t
@@ -4,13 +4,14 @@
@@ -4,13 +4,14 @@ use Test::More tests=>13;
use Test::Deep;
use Test::NoWarnings;
use Module::ExtractUse;
......@@ -23,7 +23,7 @@ Last-Update: 2014-10-17
'modules used in this test script'
);
@used=$p->extract_use($0)->array_in_eval;
@@ -20,7 +21,7 @@
@@ -20,7 +21,7 @@ use Module::ExtractUse;
);
@used=$p->extract_use($0)->array_out_of_eval;
cmp_deeply(\@used,
......@@ -32,7 +32,7 @@ Last-Update: 2014-10-17
'mandatory modules used in this test script'
);
}
@@ -28,7 +29,8 @@
@@ -28,7 +29,8 @@ use Module::ExtractUse;
# test Module::ExtractUse
{
my $p=Module::ExtractUse->new;
......@@ -40,5 +40,5 @@ Last-Update: 2014-10-17
+ my $dir = $ENV{ADTTMP} ? $Config{vendorlib} : "lib";
+ $p->extract_use("$dir/Module/ExtractUse.pm");
cmp_deeply($p->arrayref,
bag(qw(strict version warnings Pod::Strip Parse::RecDescent Module::ExtractUse::Grammar Carp 5.008)),
bag(qw(strict warnings Pod::Strip Parse::RecDescent Module::ExtractUse::Grammar Carp 5.008)),
'modules used in this Module::ExtractUsed');
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment